﻿/*
 * link plugins
 * version : 3.2
 * author : yulsh
 * date : 2015-4-9
 */
 
;(function (window) {
    /**
        Link专属插件类
        @class app.link
    */
    window.app.link = window.app.link || {};

	/*=====================================用户登陆========================================*/
    /**
            该接口用于获取Link登陆后的用户信息
              具体包括：{
                	userId:用户ID,
                	loginId:登录ID,
                	name:用户名,
                	fullName:全名,
                	nickname:昵称,
									chineseSurname:中文姓,
									chineseName:中文名,
									spellSurname:拼音姓,
									spellName:拼音名,
                	cardNum:证件号码,
                	cardType:证件类型（111:居民身份证。详细参考GA/T 517-2004）,
                	socialNum:社保编号,
            		sex:性别 (0:女，1：男),
            		rand:用户级别（0：匿名，1：注册，2：实名）,
            		realnameAuth:实名认证（0：未实名，1：实名认证）,
            		realnameAuthType:认证类型（0：未认证1：地市认证2：银行认证3：运营商认证）,
								realnameAuthSource：认证源（车管所、移动、联通、电信、银联...）,
            		email:邮件,
           	 		mobile:手机,
            		telephone:固话,
            		birthday:生日,
            		picture:头像,
            		description:描述,
            		nation:民族（01:汉族。详细参考GB/T 3304-1991）,
            		education:学历（20:大学本科,30:专科教育。详细参考GB/T 4658-2006）,
            		overseas:外籍（港澳台侨属(1:香港同胞亲属,2:澳门同胞亲属,3:台湾同胞亲属,4:海外侨胞亲属。详细参考GB-T 2261.5-2003)）,
            		marriage:婚姻（10:未婚,20:已婚,30:离异,40:离婚,90:未说明的婚姻情况。详细参考 GB/T 2261.2-2003）,
            		international:国籍（国籍(CHN:中国。详细参考国别代码)）,
            		regaddress:户籍,
            		curaddress:现住址,
            		workuint:工作单位,
            		homephone:家庭电话,
            		rprType:户籍类型（0:市内,1:省内市外,2:省外）,
            		remark:备注,
            		birthPlace:出生地
                }
        @method app.link.getLoginInfo
        @static
        @param callback {Function} 回调函数，返回json对象
        @example
			app.link.getLoginInfo(function(result){
				app.alert(result); 
			});
    */
    app.link.getLoginInfo = function (callback) {
        var successCallback = function (result) {
            callback(app.utils.toJSON(result));
        };
        Cordova.exec(successCallback, null, "LinkPlugin", "getLoginInfo", []);
	}
       
    /**
        该接口用于获取登录用户的AccessToken
        @method app.link.getToken
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.getToken(function (result) {
                 app.alert(result.accessToken,null,"获取accesstoken");
            });
    */
    app.link.getToken = function (callback) {
        var successCallback = function (result) {
            callback(app.utils.toJSON(result));
        };
        Cordova.exec(successCallback, null, "LinkPlugin", "getToken", []);
    }

    /**
        获取证件信息
				具体包括：{
                	indiId:指标ID,
                	typeId:类型ID,
                	typeName:类型名称,
                	typeCode:类型编码,
                	CODE:指标编码,
                	NAME:指标名称,
                	labelName:显示名,
                	inputType:输入类型(1 文本2日期3数字4选择项5文件),
                	isCheck:是否校验(0不需要1需要),
                	STATUS:状态,
                	value:值
                } 
        @method app.link.getCardInfo
        @static
        @example
            app.link.getCardInfo();
    */
    app.link.getCardInfo=function(callback){
        var successCallback = function (result) {
            callback(app.utils.toJSON(result));
        };
       Cordova.exec(successCallback, null, "LinkPlugin", "getCardInfo", []);
    }

    /**
        该接口用于刷新绑定账号
        @method app.link.refreshBindAccount
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.refreshBindAccount(function (result) {
                 app.alert(result);
            });
    */
    app.link.refreshBindAccount = function (callback) {
        var successCallback = function (result) {
            callback(app.utils.toJSON(result));
        };
        Cordova.exec(successCallback, null, "LinkPlugin", "refreshBindAccount", []);
    }
    /**
       该接口用于退出当前账号
       @method app.link.logoutJMT
       @static
       @param callback {Function} 回调函数,返回json对象
       @example
          app.link.logoutJMT(function (result) {
               app.alert(result);
       });
    */
    app.link.logoutJMT = function (callback) {
         var successCallback = function (result) {
              callback(app.utils.toJSON(result));
         };
       Cordova.exec(successCallback, null, "LinkPlugin", "logoutJMT", []);
    }
    /**
       该接口用于登录当前账号
       @method app.link.loginJMT
       @static
       @param callback {Function} 回调函数,返回json对象
       @example
          app.link.loginJMT(function (result) {
              app.alert(result);
          });
    */
     app.link.loginJMT = function (params) {
         Cordova.exec(null, null, "LinkPlugin", "loginJMT", [params]);
     }

    /**
        该接口用于保存业务日志(opertionCode操作类型，一般设置为以下值：增加 ADD 查询 GET  修改 EDIT  删除 DEL)
        @method app.link.saveBusLog
        @static
        @example 
            app.link.saveBusLog({opertionCode:"GET",description:"测试"});
    */
    app.link.saveBusLog=function(params){
       Cordova.exec(null, null, "LinkPlugin", "saveBusLog", [params]);
    }
    /**
        该接口用于获取性别字典信息
        @method app.link.getDictionaryForSex
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.getDictionaryForSex(function (result) {
                 app.alert(result);
            });
    */
    app.link.getDictionaryForSex = function(callback){
    		var successCallback = function(result){
    				callback(app.utils.toJSON(result));
    		
    		};
    		Cordova.exec(successCallback, null, "LinkPlugin", "getDictionaryForSex",[]);
    }
    
    /**
        该接口用于获取婚姻状况字典信息
        @method app.link.getDictionaryForMarried
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.getDictionaryForMarried(function (result) {
                 app.alert(result);
            });
    */
    app.link.getDictionaryForMarried = function(callback){
    		var successCallback = function(result){
    				callback(app.utils.toJSON(result));
    		
    		};
    		Cordova.exec(successCallback, null, "LinkPlugin", "getDictionaryForMarried",[]);
    }
    /**
        该接口用于获取民族字典信息
        @method app.link.getDictionaryForNation
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.getDictionaryForNation(function (result) {
                 app.alert(result);
            });
    */
    app.link.getDictionaryForNation = function(callback){
    		var successCallback = function(result){
    				callback(app.utils.toJSON(result));
    		
    		};
    		Cordova.exec(successCallback, null, "LinkPlugin", "getDictionaryForNation",[]);
    }
    /**
            该接口用于微信支付(success回调函数，resultStatus： 1 成功，0 失败；error异常回调函数。)
            @method app.link.payByWX
            @static
            @example
                app.link.payByWX({partner:"商户ID",seller:"收款账号",rsa_private:"商户私钥",goodsName:"商品名称",goodsDes:"商品描述",goodsPrize:"商品价格(元)",orderNo:"订单编号"},
    			function(res){alert(res)},function(res){alert(res)});
        */
        app.link.payByWX=function(params,success,error){
           Cordova.exec(success, error, "LinkPlugin", "payByWX", [params]);
        }
    /**
        该接口用于获取车辆类型字典信息
        @method app.link.getDictionaryForCarType
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.getDictionaryForCarType(function (result) {
                 app.alert(result);
            });
    */
    app.link.getDictionaryForCarType = function(callback){
    		var successCallback = function(result){
    				callback(app.utils.toJSON(result));
    		
    		};
    		Cordova.exec(successCallback, null, "LinkPlugin", "getDictionaryForCarType",[]);
    }
    /**
        该接口用于获取城市字典信息
        @method app.link.getDictionaryForCity
        @static
        @param callback {Function} 回调函数,返回json对象
        @example 
            app.link.getDictionaryForCarType(function (result) {
                 app.alert(result);
            });
    */
    app.link.getDictionaryForCity = function(callback){
    		var successCallback = function(result){
    				callback(app.utils.toJSON(result));
    		
    		};
    		Cordova.exec(successCallback, null, "LinkPlugin", "getDictionaryForCity",[]);
    }
    
})(window);

